Package org.apache.maven.shared.artifact.filter

## Interface StatisticsReportingArtifactFilter

All Known Implementing Classes:
  `PatternExcludesArtifactFilter`, `PatternIncludesArtifactFilter`, `ScopeArtifactFilter`

    public interface StatisticsReportingArtifactFilter

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `hasMissedCriteria()`
`void` `reportFilteredArtifacts​(org.codehaus.plexus.logging.Logger logger)`
`void` `reportMissedCriteria​(org.codehaus.plexus.logging.Logger logger)`

### Method Detail

#### reportMissedCriteria

    void reportMissedCriteria​(org.codehaus.plexus.logging.Logger logger)

Parameters:
  `logger` - The logger.

#### reportFilteredArtifacts

    void reportFilteredArtifacts​(org.codehaus.plexus.logging.Logger logger)

Parameters:
  `logger` - The logger.

#### hasMissedCriteria

    boolean hasMissedCriteria()

Returns:
  `true` if missed cireteria `false` otherwise.